<div class="profile-container">
  <ul>
    <li>Username: {{ appComponent.username }}</li>
    <li>Mine Type: {{ appComponent.mineType }}</li>
    <li>Email: {{ appComponent.email }}</li>
    <li>Zip Code: {{ appComponent.zipCode }}</li>
    <li class="btn logout-btn" (click)="clickLogout()">Log Out</li>
    <li class="btn update-account-btn" (click)="clickUpdateButton()">
      Update Account
    </li>
    <li class="btn delete-account-btn" (click)="clickDeleteAccount()">
      Delete Account
    </li>
  </ul>

  <div class="delete-modal" *ngIf="isDeleteModalOpen">
    <div class="input-and-btn-container">
      <p *ngIf="!isDeleted">No! Don't leave us!</p>
      <p *ngIf="!isDeleted">...Are you sure you want to delete your account?</p>
      <p *ngIf="!isDeleted">Please type your password...</p>

      <input
        *ngIf="!isDeleted"
        type="password"
        name
        [(ngModel)]="confirmPasswordToDelete"
        name="confirm-password-to-delete"
        autocomplete="off"
      />

      <div
        class="btn confirm-delete-btn"
        (click)="confirmDelete()"
        *ngIf="!isDeleted"
      >
        Confirm Delete
      </div>
      <div class="btn" (click)="clickLogout()" *ngIf="isDeleted">Log Out</div>
      <div class="exit-btn" (click)="exitDeleteModal()">x</div>
      <div class="err-msg">{{ deleteModalErrMsg }}</div>
      <div class="success-msg">{{ deleteModalSuccessMsg }}</div>
    </div>
  </div>

  <div class="update-modal" *ngIf="isUpdateModalOpen">
    <div class="input-and-btn-container-update">
      <p *ngIf="!isUpdated">Update your profile</p>
      <input
        *ngIf="!isDeleted"
        type="input"
        name="new-username"
        input
        [(ngModel)]="username"
        autocomplete="off"
        placeholder="Username"
      />
      <input
        *ngIf="!isDeleted"
        type="Email"
        name="new-email"
        input
        [(ngModel)]="email"
        autocomplete="off"
        placeholder="Email"
      />
      <input
        *ngIf="!isDeleted"
        type="input"
        name="new-zipcode"
        input
        [(ngModel)]="zipcode"
        autocomplete="off"
        placeholder="ZipCode"
      />

      <input
        *ngIf="!isDeleted"
        type="password"
        name="new-password"
        input
        [(ngModel)]="password"
        autocomplete="off"
        placeholder="Password"
      />

      <div
        class="btn confirm-update-btn"
        (click)="confirmUpdate()"
        *ngIf="!isUpdated && !isLoading"
      >
        Confirm Update
      </div>
      <app-loading *ngIf="isLoading"></app-loading>
      <div class="err-msg-update">{{ updateModalErrMsg }}</div>
      <div class="success-msg-update">{{ updateModalSuccessMsg }}</div>
      <div class="exit-btn" (click)="exitUpdateModal()">x</div>
    </div>
  </div>
</div>
